
QGIS Application - Bug report #21045

Unable to add WCS - bad WCS Request

2019-01-20 01:07 PM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WCS

Affected QGIS version:3.4.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28864

Description

This WCS:

http://thredds.ucar.edu/thredds/wcs/grib/NCEP/WW3/Regional_US_West_Coast/Best

It doesn't seem to be possible to add the layers. I get:

2019-01-20T12:03:18     CRITICAL    Invalid Layer : WCS provider Cannot get test dataset.

             Raster layer Provider is not valid (provider: wcs, URI:

cache=PreferNetwork&crs&dpiMode=7&format=GeoTIFF_Float&identifier=Wind_speed_surface&time=2018-12-21T00:00:00Z&url=http://thredds.ucar.edu/thredds/wcs/grib/NCEP/WW3/Regional_US_West_Coast

://thredds.ucar.edu/thredds/wcs/grib/NCEP/WW3/Regional_US_West_Coast/Best

For some reason, QGIS is making the request with these CRS/RESPONSE_CRS parameters (obviously that's an invalid CRS):

CRS    EPSG:0 [Latitude_Longitude]

RESPONSE_CRS    EPSG:0 [Latitude_Longitude]

Related issues:

Related to QGIS Application - Bug report # 21046: Unable to add WCS - bad err... Open 2019-01-20

Associated revisions

Revision 2f7550d1 - 2019-01-29 07:26 AM - Alexander Bruy

[wcs] improve CRS handling when parsing DescribeCoverage responce (refs #21045)

Revision e953141f - 2019-02-04 08:03 AM - Alexander Bruy

Merge pull request #9005 from alexbruy/wcs-fix

fix CRS handling in the DescribeCoverage response (refs #21045) [wcs]

Revision 8b5d50ce - 2019-02-05 07:32 AM - Alexander Bruy

[wcs] improve CRS handling when parsing DescribeCoverage responce (refs #21045)

(cherry picked from commit 2f7550d1a22ad9813786e78c5a23767f253065e7)

History

2024-03-13 1/2

http://thredds.ucar.edu/thredds/wcs/grib/NCEP/WW3/Regional_US_West_Coast/Best


#1 - 2019-01-21 12:07 PM - Jürgen Fischer

- Duplicated by Bug report #21046: Unable to add WCS - bad error reporting added

#2 - 2019-01-21 12:12 PM - Jonathan Moules

Ok, if you think it's a duplicate, but they're both using the same error to report two different bugs in QGIS.

One is that QGIS cannot connect to the WCS, the other is that QGIS doesn't handle WCS exception reports properly.

#3 - 2019-01-21 12:18 PM - Jürgen Fischer

- Duplicated by deleted (Bug report #21046: Unable to add WCS - bad error reporting)

#4 - 2019-01-21 12:18 PM - Jürgen Fischer

- Related to Bug report #21046: Unable to add WCS - bad error reporting added

#5 - 2019-01-28 02:12 PM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes

Invalid request constructed because QGIS WCS provider handles only requestResponseCRSs element of the DescribeCoverage response. When this

element is not found, it tries to get CRS from the RectifiedGrid element.

WCS server mentioned in the ticket reports invalid(?) CRS in that element

<gml:RectifiedGrid srsName="EPSG:0 [Latitude_Longitude]" dimension="2">

Here is an attempt to fix CRS handling https://github.com/qgis/QGIS/pull/9005

#6 - 2019-02-04 08:37 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

PR merged, I think we can close this now.
https://github.com/qgis/QGIS/pull/9005

